\name{getContrastMatrix}
\alias{getContrastMatrix}

\title{
Create an empty contrast matrix
}
\description{
Given an lm object, creates an empty contrast matrix for later use in the \code{contrast} function.
}
\usage{
getContrastMatrix(lm.obj)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{lm.obj}{lm regression object for which the matrix will be created}
}
\value{
A matrix of 0s with dimensionality equal to the number of factors in \code{lm.obj}
}
\author{
Kevin A Smith
}

\seealso{
\code{\link{contrast}}
}
\examples{
# Set up the model (2-way in this case)
wb.lm = lm(breaks~wool*tension,data=warpbreaks)

# Get the empty contrast matrix and fill it
ctr = getContrastMatrix(wb.lm)

# Is the difference between low vs. med/high tension different for wools A & B?
ctr[1,1] = 1
ctr[1,2] = -1
ctr[1,3] = -1
ctr[2,1] = -1
ctr[2,2] = 1
ctr[2,3] = 1

# Run the contrast
contrast(wb.lm,ctr)
}
